//////////////////////////////////////////////
// ScreenshotTaker.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

struct HWND__ ;
typedef struct HWND__* HWND ;

namespace nkGraphics
{
	class ImageData ;
	class RenderContext ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT ScreenshotTaker final
	{
		private :

			// Constructeur, destructeur
			ScreenshotTaker () ;
			~ScreenshotTaker () ;			
		
		public :

			// Prise de screen
			static ImageData getScreenPixels (RenderContext* context) ;
	} ;
}