﻿//////////////////////////////////////////////
// Logger.h
//
//////////////////////////////////////////////

/// Defines, macros --------------------------

#pragma once

/// Includes ---------------------------------

// nkLog
#include "Dll/DllDefines.h"

// Standards
#include <string_view>

/// Class ------------------------------------

namespace nkLog
{
	class DLL_LOG_EXPORT Logger
	{
		public :

			// Constructor, destructor
			Logger () ;
			virtual ~Logger () ;

			// Action
			virtual void log (const std::string_view& message, const std::string_view& className) = 0 ;
	} ;
}