﻿//////////////////////////////////////////////
// InputProcessor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkMaths
{
	class Point ;
}

namespace nkWinUi
{
	class Component ;
}

/// Class ------------------------------------

namespace nkWinUi
{
	class InputProcessor
	{
		public :

			// Constructeur, destructeur
			InputProcessor () ;
			virtual ~InputProcessor () ;

			// Positionnement curseur
			virtual void setCursorPositionScreen (const nkMaths::Point& absPos) = 0 ;

			// Pour tracker les mouse events dans les components
			virtual bool requestMouseTracking (Component* caller, bool value) = 0 ;
	} ;
}