﻿//////////////////////////////////////////////
// MemorySpace.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Class ------------------------------------

namespace nkMemory
{
	template <typename T>
	class MemorySpace
	{
		public :

			// Constructeur, destructeur
			MemorySpace () = default ;
			virtual ~MemorySpace () = default ;

			// Accès allocation
			virtual T getBasePtr () const = 0 ;
			virtual T getOffsetPtr (size_t offset) const = 0 ;
	} ;
}